# Update Account Group

`PUT /api/2.0/accounts/{account_id}/scim/v2/Groups/{id}`

Updates the details of a group by replacing the entire group entity.

API scopes: scim

## Path parameters

- `id` (string, optional)
  <Databricks> group ID
- `account_id` (string, optional)
  <Databricks> account ID

## Request body

- `displayName` (string, optional)
  String that represents a human-readable group name
- `externalId` (string, optional)
- `members` (array of object, optional)
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)
- `roles` (array of object, optional)
  Indicates if the group has the admin role.
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)

## Response

```json
{}
```

